最新消息:用博客记录点滴生活。与您共同关注互联网,分享互联网。

Yum Update更新时不升级Linux内核和系统版本

由于兼容性的问题,有可能升级内核后导致服务器不能正常启动,这是非常可怕的,如果没有特别的需要,建议不要随意升级内核。

在使用RedHat/CentOS/Fedorayum update更新时,默认会升级内核 。但有些服务器硬件(特别是组装的机器)在升级内核后,新的内核可能会认不出某些硬件,要重新安装驱动,很麻烦。所以在生产环境中不要轻易的升级内核,除非你确定升级内核后不会出现麻烦的问题。

1、直接在命令后面加参数,只生效1次。

yum update --exclude=kernel* centos-release*

注:kernel* 为Linux内核   centos-release*为系统版本(这里举例Centos)。

2、修改yum命令的配置文件,永久生效。

编辑/etc/yum.conf [main] 的后面添加以下配置。

exclude=kernel* 
exclude=centos-release*

正文部分到此结束

声明:本文采用 BY-NC-SA 协议进行授权,转载还请注明:http://www.777s.me/yum-update-exclude.html - 777's Blog